#ifndef GCODEEDITORDIALOG_H
#define GCODEEDITORDIALOG_H

#include <string>

//(*Headers(GcodeEditorDialog)
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/button.h>
#include <wx/dialog.h>
//*)

class GcodeEditorDialog: public wxDialog
{
	public:

		GcodeEditorDialog(wxWindow* parent,wxWindowID id=wxID_ANY,std::string* _gcode=NULL,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~GcodeEditorDialog();

		//(*Declarations(GcodeEditorDialog)
		wxTextCtrl* GcodeText;
		wxStaticText* StaticText1;
		wxButton* CancelButton;
		wxButton* SaveButton;
		//*)

	protected:

		//(*Identifiers(GcodeEditorDialog)
		static const long ID_TEXTCTRL1;
		static const long ID_STATICTEXT1;
		static const long ID_BUTTON1;
		static const long ID_BUTTON2;
		//*)

	private:

		//(*Handlers(GcodeEditorDialog)
		void OnSaveButtonClick(wxCommandEvent& event);
		void OnCancelButtonClick(wxCommandEvent& event);
		//*)

		DECLARE_EVENT_TABLE()
		std::string* gcode;
};

#endif
